Subject: RE: [nemo] issue 44

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 1 Nov 2004 18:25:13 +0100

Yes, I agree we should consider this in the study for the first
revision. 

OTOH, this doesn't prevent NEMO operations in any fashion. In fact, I
expect that the HA, when finding such a problem, should raise a trap or
an management alert of some sort; the good thing is that the management
is sitting on the HA side... So the involvement of the MR might be more
needed at the time to fix the problem (reconfiguring the MR?) then at
the time of the error detection / analysis.

Also, something might come around in the meantime that addresses this
problem. For instance 
http://www.mobilenetworks.org/nemo/drafts/draft-kniveton-nemo-prefix-del
-00.txt
has a per prefix ack and a check procedure for implicit prefixes.

Pascal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of Erik Nordmark
> Sent: samedi 30 octobre 2004 01:01
> To: Ryuji Wakikawa
> Cc: [email-masked]; Vijay Devarapalli
> Subject: Re: [nemo] issue 44
> 
> Ryuji Wakikawa wrote:
> >
> > I prefer option 1 (do nothing).
> >
> > I agree that option 2 is useful for debugging and operation.
> > But, we need more consideration before going with option 2.
> >
> > For example, MR sends BU with 2001:a::/48,
> > but only 2001:a:b::/64 is valid.
> > How can HA include offending prefixes in BA?
> 
> It would tell you that 2001:a::/48 was invalid.
> Thus it would only be useful when there are multiple prefixes in the
BU.
>    Erik